# Uses of Class
net.shibboleth.idp.session.LogoutPropagationFlowDescriptor

Packages that use LogoutPropagationFlowDescriptor
Package
Description
net.shibboleth.idp.session.impl
Implementations of session-related classes and interfaces.
net.shibboleth.idp.session.logic
Functions and Predicates related to the use of sessions.

## Uses of LogoutPropagationFlowDescriptor in net.shibboleth.idp.session.impl

Fields in net.shibboleth.idp.session.impl with type parameters of type LogoutPropagationFlowDescriptor
Modifier and Type
Field
Description
`private final Function<SPSession,LogoutPropagationFlowDescriptor>`
SelectLogoutPropagationFlow.`flowSelectorFunction`
Selection function to determine suitable LogoutPropagationFlowDescriptor for given SPSession.
Constructor parameters in net.shibboleth.idp.session.impl with type arguments of type LogoutPropagationFlowDescriptor
Modifier
Constructor
Description
``
`LogoutPropagationFlowDescriptorManager(List<LogoutPropagationFlowDescriptor> freeObjects)`
Constructor.
``
`SelectLogoutPropagationFlow(Function<SPSession,LogoutPropagationFlowDescriptor> selector)`
Constructor.

## Uses of LogoutPropagationFlowDescriptor in net.shibboleth.idp.session.logic

Fields in net.shibboleth.idp.session.logic with type parameters of type LogoutPropagationFlowDescriptor
Modifier and Type
Field
Description
`private final List<LogoutPropagationFlowDescriptor>`
LogoutPropagationFlowDescriptorSelector.`availableFlows`
List of available flows.
Methods in net.shibboleth.idp.session.logic that return LogoutPropagationFlowDescriptor
Modifier and Type
Method
Description
`LogoutPropagationFlowDescriptor`
LogoutPropagationFlowDescriptorSelector.`apply(SPSession input)`
Constructor parameters in net.shibboleth.idp.session.logic with type arguments of type LogoutPropagationFlowDescriptor
Modifier
Constructor
Description
``
`LogoutPropagationFlowDescriptorSelector(List<LogoutPropagationFlowDescriptor> flows)`
Constructor.